<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>kimholan.pep-crypto</groupId>
        <artifactId>pep-crypto-pom-microprofile</artifactId>
        <version>__NEXT__</version>
        <relativePath>../pep-crypto-pom/pep-crypto-pom-microprofile</relativePath>
    </parent>

    <artifactId>pep-crypto-microprofile</artifactId>
    <packaging>jar</packaging>
    <name>PEP decryption - Application (OpenAPI)</name>

    <dependencies>
        <dependency>
            <groupId>kimholan.pep-crypto</groupId>
            <artifactId>pep-crypto-api</artifactId>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>build-helper-maven-plugin</artifactId>
                <executions>
                    <execution>
                        <id>add-source</id>
                        <phase>generate-sources</phase>
                        <goals>
                            <goal>add-source</goal>
                        </goals>
                        <configuration>
                            <sources>
                                <source>${project.build.directory}/generated-sources/openapi</source>
                            </sources>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.openapitools</groupId>
                <artifactId>openapi-generator-maven-plugin</artifactId>
                <executions>
                    <execution>
                        <goals>
                            <goal>generate</goal>
                        </goals>
                        <configuration>
                            <generateApis>false</generateApis>
                            <language>jaxrs-spec</language>
                            <inputSpec>${project.basedir}/../pep-crypto-documentation/35-Schema/openapi.yaml</inputSpec>
                            <output>${project.build.directory}</output>
                            <modelPackage>generated.nl.logius.pepcrypto.openapi.model</modelPackage>
                            <templateDirectory>template</templateDirectory>
                            <importMappings>OASRequest=nl.logius.pepcrypto.application.microprofile.schema.MicroprofileRequest</importMappings>
                            <configOptions>
                                <dateLibrary>java8</dateLibrary>
                                <java8>true</java8>
                                <hideGenerationTimestamp>true</hideGenerationTimestamp>
                                <!-- Do not generate the JAX-RS resources  -->
                                <interfaceOnly>false</interfaceOnly>
                                <sourceFolder>generated-sources</sourceFolder>
                                <bigDecimalAsString>true</bigDecimalAsString>
                                <generateModels>true</generateModels>
                                <generateApiTests>false</generateApiTests>
                                <generateApiDocumentation>true</generateApiDocumentation>
                                <generateModelTests>false</generateModelTests>
                                <generatePom>false</generatePom>
                                <useSwaggerAnnotations>false</useSwaggerAnnotations>
                            </configOptions>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

</project>
